### Function

# EBook Destination importv

#### Declaration [src]

    EDestination**
    e_destination_importv (
      const gchar* str
    )

#### Description [src]

Creates an array of pointers to `EDestination` elements from an XML document.

#### Parameters

`str`

  Type: `const gchar*`

  An XML string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `EDestination*`

A `NULL`-terminated array of pointers to `EDestination` elements.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.